/* $Id: QueryRect.java 125 2011-03-09 09:49:51Z ohura $ */
/*
 * 作成日： 2006/08/25
 */
package jp.ac.hokudai.meme.core_smart_gs.searcher;

import java.util.ArrayList;

/**
 * @author hajime
 * <p>QueryRect は PagedRect[] と searchtype をメンバ変数として持つクラスで、
 * DocumentSearcherクラスのserach メソッドに対する入力型とし利用されます。
 * WildCard などの拡張クエリに対する扱いが現未定。実装変更の可能性有り。
 * </p>
 */
public class QueryRect {

    /**
     * @deprecated
     */
    public static final int TYPE_NORMAL = 1;

    /**
     * @deprecated
     */
    public static final int TYPE_WILDCARD_ON = 2;

    /**
     * 
     */
    protected int searchType_;

    /**
     * 
     */
    protected ArrayList pRectList_;

    public QueryRect() {
        pRectList_ = new ArrayList();
    }

    /**
     * @deprecated
     * @param searchType
     */
    public QueryRect(int searchType) {
        // TODO del search type
        pRectList_ = new ArrayList();
        searchType_ = searchType;
    }

    /**
     * <p>クエリに新しいprectを追加します。</p>
     * @param piece
     */
    public void addQueryPRect(PagedRect piece) {
        pRectList_.add(piece);
    }

    /**
     * <p></p>
     * @return
     */
    public PagedRect getFirstPRect() {
        return (PagedRect) pRectList_.get(0);
    }

    /**
     * <p></p>
     * @deprecated
     * @return
     */
    public boolean isWildCardOn() {
        return false;
    }
    
    /**
     * @return
     */
    public PagedRect[] getAllRects() {
        return (PagedRect[]) pRectList_.toArray(new PagedRect[0]);
    }
    
    /**
     * @param args
     */
    public static void main(String[] args) {
    }

    
}
